summaryrefslogtreecommitdiffstats
path: root/source/n/obexftp
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/obexftp')
-rwxr-xr-xsource/n/obexftp/obexftp.SlackBuild60
-rw-r--r--source/n/obexftp/patches/obexftp-0.24-fix-absurd-install-path.patch20
-rw-r--r--source/n/obexftp/patches/obexftp-0.24-fuse.patch35
-rw-r--r--source/n/obexftp/patches/obexftp-norpath.patch11
-rw-r--r--source/n/obexftp/patches/obexftp-pkgconfig_requires.patch11
-rw-r--r--source/n/obexftp/ruby_rstringlen.diff15
-rw-r--r--source/n/obexftp/slack-desc6
7 files changed, 113 insertions, 45 deletions
diff --git a/source/n/obexftp/obexftp.SlackBuild b/source/n/obexftp/obexftp.SlackBuild
index e8edb1c0a..13eba4bcd 100755
--- a/source/n/obexftp/obexftp.SlackBuild
+++ b/source/n/obexftp/obexftp.SlackBuild
@@ -1,5 +1,5 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2015 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,15 +21,15 @@
PKGNAM=obexftp
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-9}
+VERSION=${VERSION:-$(echo $PKGNAM-*-Source.tar.?z* | rev | cut -f 3- -d . | cut -f 2 -d - | rev)}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -40,8 +40,8 @@ CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -57,9 +57,9 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
-cd ${PKGNAM}-$VERSION || exit 1
+rm -rf ${PKGNAM}-${VERSION}-Source
+tar xvf $CWD/${PKGNAM}-${VERSION}-Source.tar.?z* || exit 1
+cd ${PKGNAM}-${VERSION}-Source || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
@@ -69,24 +69,29 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Fixes the RSTRINGLEN for ruby-1.9
-zcat $CWD/ruby_rstringlen.diff.gz | patch -p1 --verbose || exit 1
-
-# Configure:
-CFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
- --disable-static \
- --mandir=/usr/man \
- --program-prefix= \
- --program-suffix= \
- --build=$ARCH-slackware-linux
-
-# Build and install:
-make $NUMJOBS INSTALLDIRS=vendor || exit 1
-make install INSTALLDIRS=vendor DESTDIR=$PKG || exit 1
+# Thanks to Fedora for these
+zcat $CWD/patches/obexftp-0.24-fix-absurd-install-path.patch.gz | patch -p1 || exit 1
+zcat $CWD/patches/obexftp-0.24-fuse.patch.gz | patch -p1 || exit 1
+zcat $CWD/patches/obexftp-norpath.patch.gz | patch -p1 || exit 1
+zcat $CWD/patches/obexftp-pkgconfig_requires.patch.gz | patch -p1 || exit 1
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_INSTALL_DOCDIR=/usr/doc/$PKGNAM-$VERSION \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make $NUMJOBS || make || exit 1
+ make doc || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd ..
+
+# Relocate man pages:
+mv $PKG/usr/share/man $PKG/usr
+rmdir $PKG/usr/share 2> /dev/null
if [ -e $PKG/usr/bin/obexftpd ]; then
mkdir -p $PKG/usr/sbin
@@ -128,6 +133,7 @@ cp -a \
AUTHORS COPYING* INSTALL NEWS README* THANKS TODO contrib \
$PKG/usr/doc/${PKGNAM}-$VERSION
rm -f $PKG/usr/doc/${PKGNAM}-$VERSION/contrib/Makefile*
+find $PKG/usr/doc/${PKGNAM}-$VERSION -type f -exec chmod 0644 {} \;
# If there's a ChangeLog, installing at least part of the recent history
# is useful, but don't let it get totally out of control:
diff --git a/source/n/obexftp/patches/obexftp-0.24-fix-absurd-install-path.patch b/source/n/obexftp/patches/obexftp-0.24-fix-absurd-install-path.patch
new file mode 100644
index 000000000..0f5bebdb4
--- /dev/null
+++ b/source/n/obexftp/patches/obexftp-0.24-fix-absurd-install-path.patch
@@ -0,0 +1,20 @@
+Index: obexftp-0.24-Source/swig/python/CMakeLists.txt
+===================================================================
+--- obexftp-0.24-Source.orig/swig/python/CMakeLists.txt
++++ obexftp-0.24-Source/swig/python/CMakeLists.txt
+@@ -36,13 +36,13 @@ swig_link_libraries ( obexftp-python
+ #
+ execute_process (
+ COMMAND ${PYTHON_EXECUTABLE} -c
+- "import site, sys; sys.stdout.write(site.PREFIXES[-1])"
++ "import site, sys; sys.stdout.write(site.PREFIXES[0])"
+ OUTPUT_VARIABLE PYTHON_PREFIX
+ )
+ file ( TO_CMAKE_PATH "${PYTHON_PREFIX}" PYTHON_PREFIX )
+ execute_process (
+ COMMAND ${PYTHON_EXECUTABLE} -c
+- "import site, sys; sys.stdout.write(site.getsitepackages()[-1])"
++ "import site, sys; sys.stdout.write(site.getsitepackages()[0])"
+ OUTPUT_VARIABLE PYTHON_SITE_DIR
+ )
+ file ( TO_CMAKE_PATH "${PYTHON_SITE_DIR}" PYTHON_SITE_DIR )
diff --git a/source/n/obexftp/patches/obexftp-0.24-fuse.patch b/source/n/obexftp/patches/obexftp-0.24-fuse.patch
new file mode 100644
index 000000000..260cfc2d9
--- /dev/null
+++ b/source/n/obexftp/patches/obexftp-0.24-fuse.patch
@@ -0,0 +1,35 @@
+From 2cc82e0ab5a30eaab5461dcc4eed41b095edba3f Mon Sep 17 00:00:00 2001
+From: Hendrik Sattler <post@hendrik-sattler.de>
+Date: Sun, 11 Aug 2013 20:27:29 +0200
+Subject: [PATCH] Install fuse apps
+
+---
+ fuse/CMakeLists.txt | 7 ++++++-
+ 1 files changed, 6 insertions(+), 1 deletions(-)
+
+diff --git a/fuse/CMakeLists.txt b/fuse/CMakeLists.txt
+index c31a5fc..7d5f7ea 100644
+--- a/fuse/CMakeLists.txt
++++ b/fuse/CMakeLists.txt
+@@ -14,7 +14,6 @@ if ( Fuse_FOUND )
+ ${Fuse_LIBRARIES}
+ )
+
+-
+ add_executable ( obexautofs
+ obexautofs.c
+ )
+@@ -23,4 +22,10 @@ if ( Fuse_FOUND )
+ obexftp
+ ${Fuse_LIBRARIES}
+ )
++
++ install ( TARGETS obexfs obexautofs
++ RUNTIME
++ DESTINATION ${CMAKE_INSTALL_BINDIR}
++ COMPONENT applications
++ )
+ endif ( Fuse_FOUND )
+--
+1.7.1
+
diff --git a/source/n/obexftp/patches/obexftp-norpath.patch b/source/n/obexftp/patches/obexftp-norpath.patch
new file mode 100644
index 000000000..75a240177
--- /dev/null
+++ b/source/n/obexftp/patches/obexftp-norpath.patch
@@ -0,0 +1,11 @@
+--- obexftp-0.22/swig/perl/Makefile.PL.in.norpath 2007-07-11 21:22:30.000000000 +0200
++++ obexftp-0.22/swig/perl/Makefile.PL.in 2007-08-06 20:17:39.000000000 +0200
+@@ -11,7 +11,7 @@ WriteMakefile(
+ 'INC' => q[-I@top_srcdir@ @CPPFLAGS@],
+ # Default value for LDDLFLAGS is $Config{lddlflags}="-shared -L/usr/local/lib"
+ # but we want rpath to be @libdir@ or @exec_prefix@/lib
+- 'LDDLFLAGS' => q[-shared -Wl,-rpath=@prefix@/lib],
++ 'LDDLFLAGS' => q[-shared],
+ 'LIBS' => q[-L@top_builddir@/obexftp/.libs -lobexftp
+ -L@top_builddir@/multicobex/.libs -lmulticobex
+ -L@top_builddir@/bfb/.libs -lbfb
diff --git a/source/n/obexftp/patches/obexftp-pkgconfig_requires.patch b/source/n/obexftp/patches/obexftp-pkgconfig_requires.patch
new file mode 100644
index 000000000..ded4a5833
--- /dev/null
+++ b/source/n/obexftp/patches/obexftp-pkgconfig_requires.patch
@@ -0,0 +1,11 @@
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -71,7 +71,7 @@
+ set ( exec_prefix "\${prefix}" )
+ set ( libdir "\${prefix}/${CMAKE_INSTALL_LIBDIR}" )
+ set ( includedir "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}" )
+-set ( REQUIRES "bluetooth openobex" )
++set ( REQUIRES "bluez openobex" )
+ configure_file (
+ ${CMAKE_CURRENT_SOURCE_DIR}/obexftp.pc.in
+ ${CMAKE_CURRENT_BINARY_DIR}/obexftp.pc
diff --git a/source/n/obexftp/ruby_rstringlen.diff b/source/n/obexftp/ruby_rstringlen.diff
deleted file mode 100644
index c406b44c2..000000000
--- a/source/n/obexftp/ruby_rstringlen.diff
+++ /dev/null
@@ -1,15 +0,0 @@
-diff -Naur obexftp-0.23.orig/swig/ruby/ruby_wrap.c obexftp-0.23/swig/ruby/ruby_wrap.c
---- obexftp-0.23.orig/swig/ruby/ruby_wrap.c 2009-02-17 12:30:40.000000000 -0600
-+++ obexftp-0.23/swig/ruby/ruby_wrap.c 2010-04-19 12:55:10.445810800 -0500
-@@ -2580,7 +2580,11 @@
-
- /* VALUE str = StringValue(argv[0]); // perhaps better? */
- arg2 = STR2CSTR(argv[0]);
-+#ifdef RSTRING_LEN
-+ arg3 = (int) RSTRING_LEN(argv[0]);
-+#else
- arg3 = (int) RSTRING(argv[0])->len;
-+#endif
-
-
-
diff --git a/source/n/obexftp/slack-desc b/source/n/obexftp/slack-desc
index a37d672eb..a90f0461b 100644
--- a/source/n/obexftp/slack-desc
+++ b/source/n/obexftp/slack-desc
@@ -13,7 +13,7 @@ obexftp: library. Using OpenOBEX it enables you to transfer data via IrDA,
obexftp: Bluetooth, as well as some custom (Siemens, Ericsson) serial port
obexftp: protocols.
obexftp:
-obexftp: ObexFTP was written by Christian W. Zuckschwerdt.
-obexftp:
-obexftp: The project site is: http://triq.net/obexftp.html
+obexftp: ObexFTP was written by Christian W. Zuckschwerdt and is currently
+obexftp: maintained by Hendrik Sattler.
obexftp:
+obexftp: Project Site: http://sourceforge.net/projects/openobex/files/obexftp/